Package com.documentum.fc.client

# Interface IDfAssembly

All Superinterfaces:
  `IDfPersistentObject`, `IDfTypedObject`

public interface IDfAssembly extends IDfPersistentObject
This class provides the functionality to interact with dm_assembly objects in the repository.

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfId`
  `getBookId()`
  Returns the object ID of the top-most containing virtual document.
  `IDfId`
  `getComponentChronicleId()`
  Returns the chronicle ID of the component document.
  `IDfId`
  `getComponentId()`
  Returns the object ID of the component represented by the assembly object.
  `String`
  `getContainDescription()`
  `String`
  `getContainType()`
  `int`
  `getDepth()`
  Returns the depth of this component within the top-most virtual document.
  `double`
  `getOrderNumber()`
  Returns the order number of the component within the top-most virtual document.
  `IDfId`
  `getParentId()`
  Returns the object ID of the document that directly contains the virtual document described by the assembly to which this assembly object belongs.
  `void`
  `setBookId(IDfId parentObjectId)`
  Sets the book_id attribute of the assembly object.
  `void`
  `setComponentChronicleId(IDfId chronId)`
  Sets the component_chron_id attribute of the assembly object.
  `void`
  `setComponentId(IDfId objectId)`
  Sets the component_id attribute of the assembly object.
  `void`
  `setContainDescription(String containDesc)`
  `void`
  `setContainType(String containType)`
  `void`
  `setDepth(int depth)`
  Sets the depth_no attribute of the assembly object.
  `void`
  `setOrderNumber(double orderNumber)`
  Sets the order_no attribute of the assembly object.
  `void`
  `setParentId(IDfId parentObjectId)`
  Sets the parent_id attribute of the assembly object.

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getBookId

    IDfId getBookId() throws DfException
    Returns the object ID of the top-most containing virtual document.

    A virtual document is a hierarchy of documents. This method returns the virtual document that is at the top of the hierarchy that contains the virtual document represented by this assembly.

    For more information about virtual document structure and assemblies, refer to Server Fundamentals.

    Returns:
      An IDfId object that contains the object ID of the containing virtual document
    Throws:
      `DfException` - if the server returns an error

  - ### setBookId

    void setBookId(IDfId parentObjectId) throws DfException
    Sets the book_id attribute of the assembly object.

    This attribute records the object ID of the top-most virtual document that contains the virtual document represented by the assembly in which this assembly object participates.

    For more information about virtual document structure and assemblies, refer to Server Fundamentals.

    Parameters:
      `parentObjectId` - An IDfId object that contains the object ID of the top-most virtual document.
    Throws:
      `DfException` - if the server returns an error

  - ### getParentId

    IDfId getParentId() throws DfException
    Returns the object ID of the document that directly contains the virtual document described by the assembly to which this assembly object belongs.

    A virtual document can contain both simple and virtual documents, nested to any level. An assembly is a group of assembly objects that describe the components of a virtual document. If the assembly describes a virtual document that is nested in the hierarchy of another virtual document, this method returns the object ID of the document in the hierarchy that directly contains the virtual document described by the assembly.

    If the assembly describes the top-most virtual document in the hierarchy, this method returns the object ID of the top-most virtual document.

    For more information about virtual document structure and assemblies, refer to Server Fundamentals.

    Returns:
      An IDfId object containing the object ID of document that directly contains the virtual document described by the assembly to which this assembly object belongs
    Throws:
      `DfException` - if the server returns an error

  - ### setParentId

    void setParentId(IDfId parentObjectId) throws DfException
    Sets the parent_id attribute of the assembly object.

    This attribute records the object ID of the document that directly contains the virtual document described by the assembly to which this assembly object belongs.

    A virtual document can contain both simple and virtual documents, nested to any level. An assembly is a group of assembly objects that describe the components of a virtual document. If the assembly describes a virtual document that is nested in the hierarchy of another virtual document, set `parentObjectId` to the object ID of the document in the hierarchy that directly contains the virtual document described by the assembly.

    If the assembly describes the top-most virtual document in the hierarchy, set `parentObjectId` to the object ID of the top-most virtual document.

    Parameters:
      `parentObjectId` - An IDfId object that contains the object ID of the directly containing document
    Throws:
      `DfException` - if the server returns an error

  - ### getComponentChronicleId

    IDfId getComponentChronicleId() throws DfException
    Returns the chronicle ID of the component document. Each assembly object represents one component in a virtual document. This method returns the chronicle ID of the component represented by the assembly object. The chronicle ID is the object ID of the first version in the component's version tree.

    For more information about version trees and chronicle IDs, refer to Server Fundamentals.

    Returns:
      An IDfId object that contains the chronicle ID of the component represented by the assembly object
    Throws:
      `DfException` - if the server returns an error

  - ### setComponentChronicleId

    void setComponentChronicleId(IDfId chronId) throws DfException
    Sets the component_chron_id attribute of the assembly object.

    The component_chron_id attribute records the chronicle ID of the component represented by the assembly object. The chronicle ID is the object ID of the first version in the component's version tree.

    Parameters:
      `chronId` - An IDfId object that contains the chronicle ID of the component
    Throws:
      `DfException` - if the server returns an error

  - ### getComponentId

    IDfId getComponentId() throws DfException
    Returns the object ID of the component represented by the assembly object. Each assembly object represents one virtual document component. This method returns the object ID of the component represented by this assembly object.

    For more information about assemblies and virtual documents, refer to Server Fundamentals.

    Returns:
      An IDfId object that contains the object ID of the component
    Throws:
      `DfException` - if the server returns an error

  - ### setComponentId

    void setComponentId(IDfId objectId) throws DfException
    Sets the component_id attribute of the assembly object.

    The component_id attribute records the object ID of the component represented by this assembly object.

    Parameters:
      `objectId` - An IDfId object that contains component's object ID
    Throws:
      `DfException` - if the server returns an error

  - ### getDepth

    int getDepth() throws DfException
    Returns the depth of this component within the top-most virtual document.

    A virtual document can contain both simple and virtual documents, nested to any level. This method returns the nested depth of the component represented by the assembly object in the top-most virtual document. The top-most virtual document is the document identified in the book_id attribute. You can obtain the object ID of that document using `getBookId()`.

    Returns:
      An integer representing the depth of the component
    Throws:
      `DfException` - if the server returns an error

  - ### setDepth

    void setDepth(int depth) throws DfException
    Sets the depth_no attribute of the assembly object.

    The depth_no attribute records the level at which the component is nested in the top-most virtual document's hierarchy. The top-most virtual document is the document identified in the book_id attribute. You can obtain the object ID of that document using `getBookId()`.

    Parameters:
      `depth` - Set this to an integer value corresponding to the depth of this component.
    Throws:
      `DfException` - if the server returns an error

  - ### getOrderNumber

    double getOrderNumber() throws DfException
    Returns the order number of the component within the top-most virtual document.

    Order numbers indicate the component's position within the virtual document's structure. They are typically assigned by the server when the component is added to the virtual document.

    For more information about virtual document structure, refer to Server Fundamentals.

    Returns:
      An integer representing the order number of the component
    Throws:
      `DfException` - if the server returns an error

  - ### setOrderNumber

    void setOrderNumber(double orderNumber) throws DfException
    Sets the order_no attribute of the assembly object.

    Order numbers indicate the component's position within the virtual document's structure. They are typically assigned by the server when the component is added to the virtual document.

    The order_no attribute in the assembly object records the order number of the component within the top-most virtual document's hierarchy.

    For more information about virtual document structure, refer to Server Fundamentals.

    Parameters:
      `orderNumber` - Set this to an integer corresponding to the order number of this component
    Throws:
      `DfException` - if the server returns an error

  - ### getContainType

    String getContainType() throws DfException
    Throws:
      `DfException`

  - ### setContainType

    void setContainType(String containType) throws DfException
    Throws:
      `DfException`

  - ### getContainDescription

    String getContainDescription() throws DfException
    Throws:
      `DfException`

  - ### setContainDescription

    void setContainDescription(String containDesc) throws DfException
    Throws:
      `DfException`